function AJUSTEMENT_CONTENEUR($conteneur, ratio, centrage, marge) { // Centrage et ajustement proportionnel de la taille du conteneur général en fonction de celle de la fenêtre
	this.$conteneur = $conteneur;
	this.ratio = ratio;
	this.centrage = centrage;
	this.marge = marge;
	this.maj = function() {
		var largeur_document = $(window).width() - this.marge;
		var hauteur_document = $(window).height() - this.marge;
		var nouvelle_hauteur, nouvelle_largeur;
		var centreX = ($(window).width() * this.centrage);
		var centreY = ($(window).height() * this.centrage);
		if (largeur_document / hauteur_document > this.ratio) { // mode paysage
			nouvelle_hauteur = hauteur_document;
			nouvelle_largeur = nouvelle_hauteur * this.ratio;
		} else { // mode portrait
			nouvelle_largeur = largeur_document;
			nouvelle_hauteur = nouvelle_largeur / this.ratio;
		}
		nouvelle_hauteur = parseInt(nouvelle_hauteur);
		nouvelle_largeur = parseInt(nouvelle_largeur);
		$conteneur.css("width", nouvelle_largeur).css("height", nouvelle_hauteur).css('left', parseInt(centreX - nouvelle_largeur * this.centrage)).css('top', parseInt(centreY - nouvelle_hauteur * this.centrage));
	};
	return (this);
} // fin ajustement_conteneur
function amandine() {
	// cosmétique: cadre du texte en bitmap pixelisé (et non avec border-width: medium)
	// cosmétique: désactivation de tous les clics pendant l'attente (et pas seulement affichage d'un cache recouvrant la zone)
	// cosmétique: ajouter le son de l'attente de communication dans s5
	
	var mediator = new Mediator();
	
	// Création de l'objet nécessaire au centrage et 
	// à l'ajustement de la taille du conteneur, avec indication du ratio à respecter et de la marge
	var ajustement_conteneur_obj = new AJUSTEMENT_CONTENEUR($('#conteneur'), 320 / 200, 0.5, 16);
	
	// Mise à jour de la taille du conteneur au début et à chaque réajustement de la fenêtre
	$(document).ready(ajustement_conteneur_obj.maj());
	$(window).resize(function(e) { // important
		ajustement_conteneur_obj.maj();
	});

	function SCENARIO() { // Initialisation des données du scénario
		
		this.mode_debug = false;
		
		this.liste_scenes = ["s0", "s1", "s2", "s3", "s4", "s5", "s6", "s7", "s8", "s9", "s10", "s11", "s12", "s13", "s14", "s15", "s16", "s17", "s18", "s19", "s20", "s21", "s22", "s23", "s24", "s25", "s26", "s27", "s28", "s29", "s30", "s31", "s32", "s33", "s34", "s35", "s36", "s37", "s38", "s39", "s40", "s41", "s42", "s43", "s44", "s45", "s46", "s47", "s48", "s49", "s50", "s51", "s52", "s53", "s54", "s55", "s56", "s57", "s58", "s59", "s60", "s61", "s62", "s63", "s64", "s65", "s66", "s67", "s68", "s69", "s70", "s71", "s72", "s73", "s74", "s75", "s76", "s77", "s78", "s79", "s80", "s81", "s82", "s83", "s84", "s85", "s86", "s87", "s88", "s89", "s90", "s91", "s92", "s93", "s94", "s95", "s96", "s97", "s98", "s99", "s100", "s101", "s102", "s103", "s104"];	
		
		
		this.liste_scenes_robot = ["s59", "s60", "s61", "s62", "s63", "s64", "s65", "s66", "s67", "s68", "s69", "s70", "s71", "s72", "s73", "s74", "s75", "s76", "s77", "s78", "s79", "s80", "s81", "s82", "s83", "s84", "s85", "s86", "s87", "s88", "s89", "s90", "s91", "s92", "s93", "s94", "s95", "s96", "s97", "s98", "s99", "s100", "s101", "s102", "s103", "s104"];
			
		
		this.liste_scenes_fondus = ["s0", "s9", "s10", "s11", "s12", "s13", "s14", "s15", "s19", "s20", "s26", "s27", "s28", "s29", "s33", "s41", "s42", "s43", "s44", "s45", "s49", "s50", "s51", "s52", "s53", "s58", "s60", "s61", "s62", "s63", "s61", "s62", "s63", "s65", "s66", "s67", "s68", "s69", "s70", "s71", "s72", "s73", "s74", "s75", "s76", "s78", "s80", "s81", "s82", "s83", "s84", "s85", "s90", "s91", "s92", "s93", "s94", "s99", "s100", "s101", "s102", "s103", "s104"]; // scènes avec un fondu au noir en entrée
		this.liste_sons = ["2sonnerie", "5communication", "5touche0", "5touche1", "5touche2", "5touche3", "5touche4", "5touche5", "5touche6", "5touche7", "5touche8", "5touche9", "10reve_mario", "11reve_mere", "13restaurants", "22deguisement", "27marche", "28disquettes", "34catastrophe", "43cocktail", "44bar", "45bebe", "52aspirateur", "59woody", "64coke", "65musique_tele", "66afrique", "67horloge", "77applaudissements", "78playback", "79victoire", "82rap", "86saut", "87plage", "89mere", "94danseuses", "95nudistes", "98commando"];
		

		this.liste_donnees_curseurs = {
			128: "url('rsc/curseurs/128.png') 2 2, pointer",
			129: "url('rsc/curseurs/129.png') 2 2, help",
			130: "url('rsc/curseurs/130.png') 2 2, pointer",
			131: "url('rsc/curseurs/131.png') 8 8, pointer",
			132: "url('rsc/curseurs/132.png') 2 2, pointer",
			133: "url('rsc/curseurs/133.png') 8 8, pointer",
			134: "url('rsc/curseurs/134.png') 2 2, pointer",
			135: "url('rsc/curseurs/135.png') 8 8, pointer",
			136: "url('rsc/curseurs/136.png') 8 8, pointer",
			137: "url('rsc/curseurs/137.png') 8 8, pointer",
			138: "url('rsc/curseurs/138.png') 8 8, pointer",
			139: "url('rsc/curseurs/139.png') 2 2, pointer",
			140: "url('rsc/curseurs/140.png') 2 2, pointer",
			141: "url('rsc/curseurs/141.png') 2 2, pointer",
			142: "url('rsc/curseurs/142.png') 2 2, pointer",
			143: "url('rsc/curseurs/143.png') 8 8, pointer",
			144: "url('rsc/curseurs/144.png') 8 8, pointer",
			145: "url('rsc/curseurs/145.png') 8 8, pointer",
			146: "url('rsc/curseurs/146.png') 8 8, pointer",
			147: "url('rsc/curseurs/147.png') 8 8, pointer",
			148: "url('rsc/curseurs/148.png') 8 8, pointer",
			149: "url('rsc/curseurs/149.png') 8 8, pointer",
			150: "url('rsc/curseurs/150.png') 8 8, pointer",
			151: "url('rsc/curseurs/151.png') 8 8, pointer",
			152: "url('rsc/curseurs/152.png') 8 8, pointer",
			153: "url('rsc/curseurs/153.png') 8 8, pointer",
			154: "url('rsc/curseurs/154.png') 8 8, pointer",
			};

		
		this.liste_textes_temp = INIT_TEXTES_BRUTS(); // placé dans le script textes.js
		this.liste_textes = [];
		var liste_texte_temp = [];
		var texte_temp = "";
		for (texte_temp of this.liste_textes_temp) { 
			texte_temp = texte_temp.substr(texte_temp.indexOf(" ") + 1); // // suppression du numéro au début du texte
			this.liste_textes.push(texte_temp.split("*")); // création d'une liste avec éventuel * comme séparateur
			
		}
		// Méthodes publiques
		this.get_texte = function(numero_temp) {
			return this.liste_textes[numero_temp];
		};
		this.si_fondu = function(scene_temp) {
			return(_.contains(this.liste_scenes_fondus, scene_temp));	
		};
		return (this);
	} // fin scenario

	function PARCOURS() { // gestion des indicateurs basculés par les zones interactives et le parcours
		this.raz = function() {
			this.parcours = {
				"sonnerie": false
			};
			
			this.historique_parcours = []; // tableaux permettant de revenir en arrière
			
		};
		this.set_scene_actuelle = function(scene_temp) {
			this.parcours.scene_actuelle = scene_temp;
		};
		this.get_scene_actuelle = function() {
			return (this.parcours.scene_actuelle);
		};
		this.set_indicateur = function(indicateur_temp, valeur_temp) {
			this.parcours[indicateur_temp] = valeur_temp;
		};
		this.get_indicateur = function(indicateur_temp) {
			return (this.parcours[indicateur_temp]);
		};
		
		this.memorisation = function() {// ajoute les indicateurs dans l'historique
			this.historique_parcours.push(_.clone(this.parcours)); // important d'utiliser clone
		};
		this.retour = function() {// revient aux indicateurs précédents
			if (this.historique_parcours.length > 1) {
				this.parcours = _.clone(_.last(this.historique_parcours));
				this.historique_parcours.pop(); // suppression du dernier élément
				return(true);
			} else {
				return (false);
			}
		};
		
		
		
		this.si_vrai = function(indicateur_temp) {
			return (this.parcours[indicateur_temp] === true);
		};
		this.si_faux = function(indicateur_temp) { // toutes les valeurs différentes de true sont considérées comme false
			if (this.parcours[indicateur_temp] === true) {
				return (false);
			} else {
				return (true);
			}
		};
		this.vrai = function(indicateur_temp) {
			this.parcours[indicateur_temp] = true;
		};
		this.faux = function(indicateur_temp) {
			this.parcours[indicateur_temp] = false;
		};
		this.raz();
		return (this);
	}
	
	function DEBUT() {
		NOUVELLE_SCENE("s0");
	}

	function NOUVELLE_SCENE(scene_temp, memorisation_historique) {
		zones_obj.raz(); // remise à zéro des zones à cliquer avant la redéfinition
		
		scenario_obj.liste_scenes_robot = _.without(scenario_obj.liste_scenes_robot, scene_temp);
		//console.log(scenario_obj.liste_scenes_robot);
		
		
		if (memorisation_historique !== false) {
			parcours_obj.memorisation(); // ajoute les indicateurs à l'historique
			} else {
		}
		
		parcours_obj.set_scene_actuelle(scene_temp); // mémorise la scène actuelle avec les indicateurs
		
		var fonction_callback = function () {
			texte_obj.hide();
			NOUVELLE_SCENE2(scene_temp);
			illustration_obj.set(scenario_obj.chemin_illustration[scene_temp]);
			fondu_obj.fondu_in();
			}; // changement d'illustration
		
		if (scenario_obj.si_fondu(scene_temp)) { // s'il un fondu est prévu, appel indirect
			fondu_obj.fondu_out(fonction_callback);
		} else {
			fonction_callback.call(); // sinon appel direct
		}
	} // fin NOUVELLE_SCENE

	function NOUVELLE_SCENE2(scene_temp) { // changement de scène et définition des nouvelles données	
		attente_obj.hide();
		son_obj.silence();
		curseur_obj.set(128);
		switch (scene_temp) {
			case "s0":
				attente_obj.suite(function() {NOUVELLE_SCENE("s1");})
				break;
			case "s1":
				texte_obj.set_cadre(166, 4, 153, 192);
				zones_obj.set(8, 104, 53, 191, 1, 0, 184); // amandine sac
				zones_obj.set(104, 117, 143, 192, 3, 0, 185); // porte voisine
				zones_obj.set(106, 5, 144, 59, 0, 2, 0); // porte appartement		
				break;
			case "s2": // chez amandine	
				texte_obj.set_cadre(162, 1, 157, 198);
				// Joue la sonnerie une seule fois
				var fonction_callback_temp = function() {
					NOUVELLE_SCENE("s5");
				}; // vers téléphone par défaut
				if (parcours_obj.si_faux("sonnerie")) {
					son_obj.joue("2sonnerie");
					parcours_obj.vrai("sonnerie");
					fonction_callback_temp = function() { // dialogue avec le mère si le téléphone sonne
						if (son_obj.fini("2sonnerie") === true) {
							NOUVELLE_SCENE("s5");
						} else {
							NOUVELLE_SCENE("s7");
						}
					};
				}
				zones_obj.set(62, 95, 94, 111, 0, 0, 0, fonction_callback_temp); //
				if (parcours_obj.si_vrai(5)) { // antenne télé tournée dans scène 5?
					zones_obj.set(39, 29, 95, 63, 0, 6, 7); // tv vers scène 6
				} else {
					zones_obj.set(39, 29, 95, 63, 6, 3, 7); // tv vers scène 3
				}
				zones_obj.set(22, 124, 56, 142, 5, 0, 186); // chat
				zones_obj.set(88, 171, 155, 198, 4, 0, 187); // magazine
				zones_obj.set(104, 28, 143, 73, 9, 29, 0); // tas de linge
				zones_obj.set(0, 163, 78, 198, 8, 8, 14); // lit
				zones_obj.set(0, 0, 32, 77, 10, 4, 4); // fenêtre
				zones_obj.set(110, 106, 157, 134, 7, 15, 26); // panier du chat
				break;
			case "s3": // télé drogue
				curseur_obj.set(130);
				texte_obj.set_cadre(1, 138, 317, 61);
				zones_obj.set(60, 2, 219, 121, 13, 0, 2); // texte télé
				if (parcours_obj.si_vrai(2) || parcours_obj.si_vrai(3)) {
					zones_obj.set(225, 89, 260, 121, 0, 2, 0); // bouton arrêt
				} else {
					zones_obj.set(225, 89, 260, 121, 14, 2, 0); // bouton arrêt avec texte
				}
				
				break;
			case "s4": // antenne toit
				texte_obj.set_cadre(1, 1, 168, 198);
				zones_obj.set(172, 85, 264, 149, 17, 0, 0); // amandine
				zones_obj.set(172, 156, 218, 193, 18, 2, 0); // gouttière
				zones_obj.set(174, 14, 212, 75, 16, 0, 5, function() { // antenne
					parcours_obj.faux(7);
				}); // permet de regarder la télé à nouveau
				break;
			case "s5": // Téléphone
				texte_obj.set_cadre(165, 1, 153, 198);
				zones_obj.set(0, 159, 80, 199, 20, 0, 25); // calepin
				zones_obj.set(27, 27, 186, 57, 0, 2, 0); // combiné
				var numero_compose = "";
				zones_obj.set(73, 78, 73 + 12, 78 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 1);
				}); // 1
				zones_obj.set(73 + 20, 78, 73 + 20 + 12, 78 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 2);
				}); // 2
				zones_obj.set(73 + 40, 78, 73 + 40 + 12, 78 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 3);
				});
				zones_obj.set(73, 78 + 13, 73 + 12, 78 + 13 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 4);
				});
				zones_obj.set(73 + 20, 78 + 13, 73 + 20 + 12, 78 + 13 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 5);
				});
				zones_obj.set(73 + 40, 78 + 13, 73 + 40 + 12, 78 + 13 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 6);
				});
				zones_obj.set(73, 78 + 26, 73 + 12, 78 + 26 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 7);
				});
				zones_obj.set(73 + 20, 78 + 26, 73 + 20 + 12, 78 + 26 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 8);
				});
				zones_obj.set(73 + 40, 78 + 26, 73 + 40 + 12, 78 + 26 + 9, 0, 0, 0, function() {
					mediator.publish("s5_touche", 9);
				});
				zones_obj.set(92, 117, 107, 127, 0, 0, 0, function() {
					mediator.publish("s5_touche", 0);
				});
				mediator.remove("s5_touche");
				mediator.subscribe("s5_touche", function(touche_enfoncee) { // reçoit chaque touche du téléphone
					son_obj.joue("5touche" + touche_enfoncee);
					numero_compose = numero_compose + touche_enfoncee;
					
					if (scenario_obj.mode_debug === true) {
						if (_.random(1, 2) === 1) {
							numero_compose = "498425";
						} else {
							numero_compose = "402308";
						}
						
					}
					
					if (numero_compose.length === 6) { // dès que le numéro fait six chiffres
						var trouve = false;
						mediator.remove("s5_touche");
						if (numero_compose === "498425" && parcours_obj.si_faux(24)) { // numéro de Mario
							parcours_obj.vrai(24); //numéro déjà composé
							parcours_obj.vrai(25); //calepin cliqué
							dialogue_obj.set(13, 21, 23); // au restaurant avec mario
							trouve = true;
						}
						if (numero_compose === "402308" && parcours_obj.si_faux(10)) { // numéro de la télé
							parcours_obj.vrai(10); // inscription ok au jeu
							dialogue_obj.set(2, 24);
							trouve = true;
						}
						if (trouve === false) { // autre numéro
							dialogue_obj.set(2, 25);
						}
						numero_compose = "";
					}
				});
				break;
			case "s6": // télé speakrine
				texte_obj.set_cadre(1, 138, 318, 61);
				zones_obj.set(225, 89, 260, 121, 28, 2, 0); // bouton
				zones_obj.set(60, 2, 219, 121, 27, 0, 27); // écran
				break;
			case "s7": // mère au téléphone
				texte_obj.set_cadre(145, 1, 174, 198);
				parcours_obj.vrai(11); // conversation mère (utilisé dans le rêve)
				var ordre_temp = "";
				var fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "M";
					if (ordre_temp === "MM") {
						dialogue_obj.set(2, 35, 43);
					}
					if (ordre_temp === "AM") {
						dialogue_obj.set(2, 57, 63);
					}
				};
				var fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "AA") {
						dialogue_obj.set(2, 66, 73);
					}
					if (ordre_temp === "MA") {
						dialogue_obj.set(2, 46, 53);
					}
				};
				ordre_temp = "";
				zones_obj.set(32, 10, 113, 82, 30, 0, 0, fonction_callback_temp1); // --mère
				zones_obj.set(22, 104, 69, 169, 32, 0, 0, fonction_callback_temp2); // amandine		
				break;
			case "s8": // amandine s'endort
				texte_obj.set_cadre(113, 3, 202, 80);
				zones_obj.set(8, 164, 33, 187, 0, 12, 0); //--lampe
				zones_obj.set(48, 102, 146, 144, 76, 0, 188); // --amandine
				var numero_scene_temp = 9; // rêve mario par défaut
				if (parcours_obj.si_vrai(18)) {
					numero_scene_temp = 10;
				} // cauchemar mario
				if (parcours_obj.si_vrai(11)) {
					numero_scene_temp = 11;
				} // cauchemar mère
				zones_obj.set(23, 5, 114, 78, 0, numero_scene_temp, 0); //--arbre rêve	
				break;
			case "s9": // rêve amandine mario
				curseur_obj.set(131);
				texte_obj.set_cadre(1, 1, 159, 198);
				zones_obj.set(151, 58, 225, 199, 80, 0, 112); // --amandine
				zones_obj.set(278, 43, 319, 171, 81, 12, 0); // --mario
				zones_obj.set(170, 15, 190, 55, 82, 0, 113); //--chat
				zones_obj.set(241, 9, 266, 50, 82, 0, 113); // --chat
				break;
			case "s10": // cauchemard mario
				son_obj.joue("10reve_mario");
				texte_obj.set_cadre(171, 1, 148, 198);
				zones_obj.set(92, 51, 157, 122, 84, 12, 0); // --amandine
				zones_obj.set(0, 16, 91, 199, 85, 12, 0); // --mario
				break;
			case "s11": // cauchemard mère
				texte_obj.set_cadre(2, 1, 144, 197);
				son_obj.joue("11reve_mere");
				zones_obj.set(127, 107, 201, 192, 0, 12, 0); // --Amandine
				zones_obj.set(141, 0, 319, 94, 89, 0, 37); // mère
				zones_obj.set(141, 0, 319, 94, 88, 0, 36); // mère
				zones_obj.set(141, 0, 319, 94, 87, 0, 35); // mère		
				break;
			case "s12": // amandine se réveille
				texte_obj.set_cadre(102, 1, 216, 100);
				zones_obj.set(9, 57, 104, 144, 91, 2, 0); // amandine
				break;
			case "s13": // dîner mario EN COURS
				son_obj.joue("13restaurants");
				texte_obj.set_cadre(1, 114, 318, 85);
				zones_obj.set(43, 11, 80, 64, 121, 0, 38); //-- gros
				zones_obj.set(234, 5, 276, 64, 120, 0, 15); // homme cheveux longs
				zones_obj.set(234, 5, 276, 64, 119, 0, 16); // homme cheveux longs
				zones_obj.set(234, 5, 276, 64, 118, 0, 17); // homme cheveux longs
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					if (ordre_temp === "") {
						dialogue_obj.set(0, 92, 93);
					}
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "AA") {
						dialogue_obj.set(14, 95, 96);
					} // amandine rentre avec mario
					if (ordre_temp === "MA") {
						dialogue_obj.set(14, 114, 116);
					} // 
				};
				fonction_callback_temp2 = function() {
					if (ordre_temp === "") {
						dialogue_obj.set(0, 101, 106);
					}
					ordre_temp = ordre_temp + "M";
					if (ordre_temp === "MM") {
						parcours_obj.vrai(18); // indicateur 18 rupture mario
						dialogue_obj.set(2, 108, 112);
					}
					if (ordre_temp === "AM") {
						dialogue_obj.set(14, 98, 99);
					}
				};
				zones_obj.set(102, 14, 136, 64, 0, 0, 0, fonction_callback_temp1); // --amandine
				zones_obj.set(146, 1, 188, 66, 0, 0, 0, fonction_callback_temp2); // mario				
				break;
			case "s14": // réveil amandine et mario
				texte_obj.set_cadre(101, 2, 217, 81);
				zones_obj.set(175, 133, 214, 171, 0, 0, 0, function() {
					dialogue_obj.set(2, 135, 139);
				}); // --chat	
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					if (ordre_temp === "") {
						dialogue_obj.set(0, 126);
					}
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "AA") {
						dialogue_obj.set(2, 131, 134);
					}
					//if (ordre_temp === "MA") {dialogue_obj.set();}	// 
				};
				fonction_callback_temp2 = function() {
					if (ordre_temp === "") {
						dialogue_obj.set(2, 124);
					}
					ordre_temp = ordre_temp + "M";
					if (ordre_temp === "AM") {
						dialogue_obj.set(2, 128, 130);
					}
				};
				zones_obj.set(80, 83, 116, 111, 0, 0, 0, fonction_callback_temp1); // --amandine
				zones_obj.set(53, 48, 88, 77, 0, 0, 0, fonction_callback_temp2); // --mario
				break;
			case "s15": // le jardin public
				texte_obj.set_cadre(1, 136, 318, 63);
				zones_obj.set(142, 85, 191, 126, 143, 0, 188); // -- chat
				zones_obj.set(75, 27, 134, 123, 144, 0, 189); // --amandine
				zones_obj.set(136, 0, 240, 51, 0, 16, 0); // --bac à sable
				zones_obj.set(16, 10, 64, 129, 145, 17, 0); // --homme
				break;
			case "s16": // bac à sable
				curseur_obj.set(132);
				texte_obj.set_cadre(1, 130, 318, 69);
				var pointeur_texte_temp = 149; // texte enfant 1
				fonction_callback_temp = function() {
					dialogue_obj.set(0, pointeur_texte_temp);
					if (pointeur_texte_temp === 152) {
						parcours_obj.vrai(32); // amandine veut un enfant
					}
					pointeur_texte_temp++;
				};
				zones_obj.set(151, 42, 178, 74, 0, 0, 28, fonction_callback_temp); //-- gosse1
				zones_obj.set(4, 97, 50, 129, 0, 0, 29, fonction_callback_temp); // --2
				zones_obj.set(108, 21, 143, 65, 0, 0, 30, fonction_callback_temp); //
				zones_obj.set(64, 37, 99, 102, 0, 0, 31, fonction_callback_temp); //
				zones_obj.set(226, 25, 274, 96, 153, 2, 0); // amandine 
				break;
			case "s17": // dragueur banc
				texte_obj.set_cadre(165, 1, 154, 198);
				zones_obj.set(6, 81, 61, 177, 0, 0, 0, function() {
					dialogue_obj.set(18, 156, 161);
				}); //--homme
				zones_obj.set(74, 108, 110, 184, 0, 0, 0, function() {
					dialogue_obj.set(19, 164, 170);
				}); // --amandine
				break;
			case "s18": // carte de visite
				texte_obj.set_cadre(165, 1, 148, 194);
				parcours_obj.vrai(93);
				zones_obj.set(0, 76, 65, 199, 0, 0, 0, function() {
					dialogue_obj.set(2, 173, 174);
				}); // -- poubelle
				break;
			case "s19": // chez le draguer, ordinateur
				texte_obj.set_cadre(2, 130, 316, 69);
				zones_obj.set(65, 0, 105, 41, 0, 0, 33, function() {
					dialogue_obj.set(0, 177, 180);
				}); // --ordinateur
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					if (parcours_obj.si_vrai(33)) {
						dialogue_obj.set(20, 188);
					} else {
						dialogue_obj.set(20, 191);
					}
				};
				fonction_callback_temp2 = function() {
					if (parcours_obj.si_vrai(33)) {
						dialogue_obj.set(20, 183, 185);
					} else {
						dialogue_obj.set(20, 192, 193);
					}
				};
				zones_obj.set(106, 34, 184, 127, 0, 0, 0, fonction_callback_temp1); // --homme
				zones_obj.set(185, 59, 247, 128, 0, 0, 0, fonction_callback_temp2); // --amandine
				break;
			case "s20": // canapé
				texte_obj.set_cadre(1, 2, 156, 197);
				zones_obj.set(212, 104, 248, 134, 0, 0, 0, function() {
					dialogue_obj.set(25, 196, 200);
				}); // --amandine
				zones_obj.set(212, 76, 242, 103, 0, 0, 0, function() {
					dialogue_obj.set(25, 203, 209);
				}); // --homme			
				zones_obj.set(255, 44, 294, 118, 0, 21, 0); // --salle de bain
				break;
			case "s21": // attente salle de bain
				curseur_obj.set(133);
				texte_obj.set_cadre(143, 1, 176, 198);
				var pointeur_salle_de_bain = 0;
				fonction_callback_temp1 = function() {
					pointeur_salle_de_bain++;
					switch (pointeur_salle_de_bain) {
						case 1:
							dialogue_obj.set(0, 224, 226);
							break;
						case 2:
							dialogue_obj.set(0, 218, 221);
							break;
						case 3:
							dialogue_obj.set(0, 224, 226);
							break;
						default:
							break;
					}
				};
				fonction_callback_temp2 = function() {
					switch (pointeur_salle_de_bain) {
						case 0:
							NOUVELLE_SCENE("s22");
							break;
						case 1:
							NOUVELLE_SCENE("s23");
							break;
						case 2:
							NOUVELLE_SCENE("s24");
							break;
						default:
							NOUVELLE_SCENE("s24");
							break;
					}
				};
				zones_obj.set(89, 69, 133, 124, 0, 0, 0, fonction_callback_temp1); // --amandine
				zones_obj.set(11, 0, 69, 84, 0, 0, 0, fonction_callback_temp2); // porte
				break;
			case "s22": // déguisement 1
				son_obj.joue("22deguisement");
				texte_obj.set_cadre(143, 1, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s26");
				});
				break;
			case "s23": // déguisement 2
				son_obj.joue("22deguisement");
				texte_obj.set_cadre(143, 1, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s26");
				});
				break;
			case "s24": // déguisement 3
				son_obj.joue("22deguisement");
				texte_obj.set_cadre(143, 1, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s26");
				});
				break;
			case "s25": // amour lit
				texte_obj.set_cadre(1, 1, 318, 111);
				zones_obj.set(11, 168, 44, 191, 0, 0, 0, function() {
					dialogue_obj.set(26, 234, 236);
				}); // --amandine
				zones_obj.set(31, 140, 67, 164, 0, 0, 0, function() {
					dialogue_obj.set(26, 239, 245);
				}); // --homme
				break;
			case "s26":
				texte_obj.set_cadre(148, 1, 171, 198);
				zones_obj.set(54, 34, 138, 107, 0, 0, 0, function() {
					if (parcours_obj.si_vrai(18)) { // si rupture avec mario dans s13
						dialogue_obj.set(27, 247);
					} else {
						dialogue_obj.set(28, 260, 269);
					}
				}); // --homme
				zones_obj.set(100, 114, 146, 199, 0, 0, 0, function() {
					if (parcours_obj.si_vrai(18)) {
						dialogue_obj.set(28, 248);
					} else {
						dialogue_obj.set(27, 249, 258);
					}
				}); // --amandine								
				break;
			case "s27": // marché
				curseur_obj.set(134);
				son_obj.joue("27marche");
				texte_obj.set_cadre(170, 1, 149, 198);
				zones_obj.set(0, 36, 28, 128, 285, 0, 42); // --grosse			
				zones_obj.set(33, 31, 74, 80, 272, 103, 0); // --amandine			
				zones_obj.set(120, 60, 161, 153, 0, 0, 40, function() {
					dialogue_obj.set(0, 274, 283);
				}); // -- vieille
				zones_obj.set(30, 122, 85, 199, 0, 0, 41, function() {
					dialogue_obj.set(0, 287, 292);
				}); // --jeune
				break;
			case "s28": // disquettes
				son_obj.joue("28disquettes");
				texte_obj.set_cadre(1, 1, 168, 198);
				zones_obj.set(258, 150, 319, 199, 294, 2, 0); // --amandine
				zones_obj.set(166, 0, 319, 112, 295, 2, 0); // --bouche
				parcours_obj.vrai(14); // lit scène 2 déjà cliqué			
				break;
			case "s29": // laverie
				curseur_obj.set(135);
				texte_obj.set_cadre(1, 146, 318, 53);
				zones_obj.set(258, 22, 270, 33, 298, 0, 47); // --journal d'amandine
				zones_obj.set(247, 7, 283, 44, 297, 0, 46); // --amandine
				zones_obj.set(36, 83, 91, 142, 0, 30, 0); // --peintre
				zones_obj.set(95, 90, 133, 142, 313, 0, 45); // --plongeur
				zones_obj.set(259, 58, 296, 128, 0, 0, 111, function() {
					if (parcours_obj.si_vrai(50)) {
						dialogue_obj.set(0, 342);
					} else {
						dialogue_obj.set(0, 341);
					}
				}); // --en calecon
				zones_obj.set(108, 9, 149, 65, 0, 0, 48, function() {
					dialogue_obj.set(0, 300, 302);
				}); // --homme tache
				zones_obj.set(151, 9, 178, 62, 0, 0, 48, function() {
					dialogue_obj.set(0, 304, 311);
				}); // --fille tache			
				zones_obj.set(179, 12, 222, 64, 325, 0, 51, function() {
					dialogue_obj.set(0, 334, 339);
				}); // --filles			
				zones_obj.set(179, 12, 222, 64, 325, 0, 50, function() {
					dialogue_obj.set(0, 323);
				}); // --filles			
				zones_obj.set(179, 12, 222, 64, 325, 0, 49, function() {
					dialogue_obj.set(0, 326, 332);
				}); // --filles			
				break;
			case "s30": // peinture tom laverie
				texte_obj.set_cadre(129, 1, 190, 198);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 372);
					}
					if (ordre_temp === "PA") {
						dialogue_obj.set(31, 347, 357);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(31, 389, 401);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "P";
					if (ordre_temp === "P") {
						dialogue_obj.set(0, 345);
					}
					if (ordre_temp === "AP") {
						dialogue_obj.set(41, 374, 387);
					}
					if (ordre_temp === "PP") {
						dialogue_obj.set(42, 359, 370);
					}
				};
				ordre_temp = "";
				zones_obj.set(0, 70, 36, 146, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(45, 21, 122, 107, 0, 0, 0, fonction_callback_temp2); // --peintre
				break;
			case "s31": // dragueur bus
				texte_obj.set_cadre(1, 1, 180, 198);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 403);
					}
					if (ordre_temp === "HA") {
						dialogue_obj.set(32, 419, 424);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(32, 405, 406);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "H";
					if (ordre_temp === "H") {
						dialogue_obj.set(0, 417);
					}
					if (ordre_temp === "AH") {
						dialogue_obj.set(32, 408, 415);
					}
					if (ordre_temp === "HH") {
						dialogue_obj.set(32, 426, 433);
					}
				};
				ordre_temp = "";
				zones_obj.set(250, 88, 310, 169, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(168, 19, 236, 150, 0, 0, 0, fonction_callback_temp2); // --homme
				break;
			case "s32": //intérieur bus
				texte_obj.set_cadre(158, 1, 161, 198);
				zones_obj.set(27, 0, 76, 40, 0, 0, 55, function() {
					dialogue_obj.set(33, 436, 443);
				}); // --contrôleur
				zones_obj.set(77, 13, 101, 34, 0, 0, 55, function() {
					dialogue_obj.set(33, 445, 450);
				}); // --vieille au ticket
				zones_obj.set(29, 45, 68, 78, 460, 0, 57); // -- homme edenté
				zones_obj.set(128, 89, 155, 163, 459, 0, 58); // --père noël
				zones_obj.set(102, 140, 127, 198, 458, 33, 59); // --amandine
				zones_obj.set(42, 132, 85, 199, 0, 0, 59, function() {
					dialogue_obj.set(33, 452, 456);
				}); // --vieille grincheuse
				zones_obj.set(88, 112, 107, 137, 461, 0, 60); // --homme à lunettes
				zones_obj.set(7, 154, 38, 199, 462, 0, 61); // --homme à casquette
				break;
			case "s33": // retour domicile amandine
				curseur_obj.set(136);
				texte_obj.set_cadre(1, 152, 318, 47);
				zones_obj.set(49, 45, 85, 135, 463, 34, 0); // --frigo
				zones_obj.set(89, 64, 125, 114, 463, 35, 0); // --four
				zones_obj.set(127, 120, 158, 141, 463, 36, 0); // --grille pain
				zones_obj.set(185, 95, 237, 120, 463, 37, 0); // --machine à écrire
				zones_obj.set(205, 0, 245, 90, 463, 38, 0); // --bain
				zones_obj.set(187, 130, 221, 150, 463, 39, 0); // --tiroir
				zones_obj.set(132, 60, 183, 92, 463, 40, 0); // -- vin
				break;
			case "s34": // chat réfrigérateur
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s35": // chat four
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s36": // chat grille pain
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s37": // chat machine à écrire
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s38": // chat bain
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s39": // chat tiroir
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s40": // chat bouteille
				son_obj.joue("34catastrophe");
				texte_obj.set_cadre(1, 152, 0, 0);
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s103", false);
				});
				break;
			case "s41": // choix vêtements
				curseur_obj.set(137);
				texte_obj.set_cadre(122, 1, 197, 198);
				zones_obj.set(75, 25, 120, 58, 471, 43, 62); //--amandine
				zones_obj.set(38, 81, 72, 148, 472, 43, 63); //--amandine2
				zones_obj.set(17, 149, 69, 193, 473, 0, 64); //--chat
				break;
			case "s42": // magasin vêtements
				texte_obj.set_cadre(1, 145, 318, 54);
				zones_obj.set(18, 28, 69, 126, 0, 0, 65, function() {
					dialogue_obj.set(43, 493, 497);
				}); // --amandine
				zones_obj.set(74, 13, 128, 132, 0, 0, 65, function() {
					dialogue_obj.set(43, 480, 490);
				}); // --vendeur
				zones_obj.set(175, 35, 200, 135, 475, 0, 66); // --main au fesses
				zones_obj.set(264, 73, 310, 142, 477, 0, 67); // --homme manteau
				zones_obj.set(155, 4, 174, 48, 476, 0, 68); // --clown blanc
				zones_obj.set(253, 14, 277, 69, 478, 0, 69); // --gros
				zones_obj.set(283, 16, 307, 71, 479, 0, 70); // --femme mini jupe
				zones_obj.set(233, 0, 250, 26, 500, 0, 71); // -- femme nue
				break;
			case "s43": //vernissage
				curseur_obj.set(138);
				son_obj.joue("43cocktail");
				texte_obj.set_cadre(1, 158, 318, 41);
				zones_obj.set(4, 105, 31, 150, 0, 0, 80, function() {
					dialogue_obj.set(0, 506, 509);
				}); // --homme gauche
				zones_obj.set(39, 101, 59, 150, 0, 0, 81, function() {
					dialogue_obj.set(0, 515, 518);
				}); // -- homme à côté 81
				zones_obj.set(82, 110, 106, 150, 0, 0, 82, function() {
					dialogue_obj.set(0, 511, 513);
				}); // --homme à côté 82
				zones_obj.set(53, 28, 66, 40, 0, 0, 89, function() {
					dialogue_obj.set(0, 541, 542);
				}); // --homme roploplo
				zones_obj.set(53, 28, 66, 40, 537, 0, 76); //homme roploplo
				zones_obj.set(110, 98, 128, 124, 555, 0, 94); // -- où sont les caméras
				zones_obj.set(164, 7, 206, 36, 0, 0, 85, function() {
					dialogue_obj.set(0, 547, 553);
				}); // -- chevelu 
				zones_obj.set(154, 108, 178, 150, 583, 0, 83); // -- homme qui baille
				zones_obj.set(198, 117, 222, 150, 0, 0, 84, function() {
					dialogue_obj.set(0, 544, 545);
				}); // -- gros à coté
				zones_obj.set(127, 42, 164, 74, 504, 0, 77); //--serveur
				zones_obj.set(130, 11, 153, 41, 529, 0, 78); //--homme pres tableau
				zones_obj.set(207, 3, 278, 26, 0, 0, 79, function() {
					dialogue_obj.set(0, 530, 533);
				}); // --homme queue de cheval
				zones_obj.set(81, 33, 94, 49, 0, 0, 75, function() {
					dialogue_obj.set(0, 520, 521);
				}); // --homme petits fours
				zones_obj.set(107, 50, 125, 68, 0, 0, 73, function() { // barbu
					dialogue_obj.set(0, 557, 564);
					parcours_obj.vrai(90); // IMPORTANT
				}); // --amandine presse ok ***
				zones_obj.set(239, 59, 260, 84, 0, 0, 0, function() {
					dialogue_obj.set(47, 523, 527);
				}); // -- rentre avec gabrielle
				zones_obj.set(218, 56, 236, 109, 535, 0, 74); // -- à côté de gabrielle
				zones_obj.set(133, 74, 159, 106, 0, 0, 86, function() {
					dialogue_obj.set(48, 575, 578);
				}); // amandine2, rentre avec Tom
				zones_obj.set(133, 74, 159, 106, 503, 0, 72); // --amandine
				zones_obj.set(81, 59, 97, 107, 0, 0, 86, function() {
					dialogue_obj.set(46, 570, 573);
				}); // tom, amandine rentre seule
				break;
			case "s44": //pochtron
				curseur_obj.set(139);
				texte_obj.set_cadre(162, 1, 157, 198);
				son_obj.joue("44bar");
				zones_obj.set(75, 81, 139, 152, 594, 0, 91); // --ivrogne
				zones_obj.set(36, 30, 77, 78, 587, 0, 92); // --garcon
				zones_obj.set(0, 113, 52, 199, 0, 0, 91, function() {
					dialogue_obj.set(0, 589, 592);
				}); // --caissière
				zones_obj.set(78, 0, 119, 48, 597, 103, 99, function() { // amandine
					if (parcours_obj.si_vrai(93)) { // amandine a gardé la carte de visite
						dialogue_obj.set(27, 595); // vers le marché
					} else if (parcours_obj.si_vrai(90)) { // amandine intéressée par la presse
						dialogue_obj.set(67, 596); // vers le psy
					} else {
						dialogue_obj.set(103, 597); // fin
					} // fin if
				}); // amandine		
				break;
			case "s45": // bébé
				curseur_obj.set(140);
				texte_obj.set_cadre(1, 1, 151, 194);
				son_obj.joue("45bebe");
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 614);
					}
					if (ordre_temp === "HA") {
						dialogue_obj.set(103, 602, 606);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(103, 622, 626);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "H";
					if (ordre_temp === "H") {
						dialogue_obj.set(0, 600);
					}
					if (ordre_temp === "AH") {
						dialogue_obj.set(103, 616, 620);
					}
					if (ordre_temp === "HH") {
						dialogue_obj.set(103, 608, 612);
					}
				};
				ordre_temp = "";
				zones_obj.set(174, 41, 241, 195, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(252, 48, 319, 180, 0, 0, 0, fonction_callback_temp2); // --mario
				break;
			case "s46": // sortie vernissage seule
				texte_obj.set_cadre(162, 1, 156, 197);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "B";
					if (ordre_temp === "B") {
						dialogue_obj.set(0, 631);
					}
					if (ordre_temp === "NB") {
						dialogue_obj.set(0, 641, 642);
					}
					if (ordre_temp === "BB") {
						dialogue_obj.set(0, 636, 637);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "N";
					if (ordre_temp === "N") {
						dialogue_obj.set(0, 639);
					}
					if (ordre_temp === "BN") {
						dialogue_obj.set(0, 633, 634);
					}
					if (ordre_temp === "NN") {
						dialogue_obj.set(0, 644, 646);
					}
				};
				zones_obj.set(29, 14, 68, 107, 0, 0, 0, fonction_callback_temp1); //--blanc
				zones_obj.set(0, 22, 27, 109, 0, 0, 0, fonction_callback_temp2); // --noir
				zones_obj.set(80, 32, 119, 138, 628, 44, 100, function() {
					if (parcours_obj.si_vrai(18)) { // mario plaqué ou non
						dialogue_obj.set(44, 628);
					} else {
						dialogue_obj.set(45, 629); // fin
					}
				}); // --amandine					
				break;
			case "s47": // sortie vernissage gabrielle
				texte_obj.set_cadre(1, 1, 158, 198);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						if (parcours_obj.si_vrai(18)) { // si rupture avec mario
							dialogue_obj.set(57, 681, 688);
						} else {
							dialogue_obj.set(0, 649, 651);
						}
					}
					if (ordre_temp === "GA") {
						dialogue_obj.set(60, 675, 678);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(61, 659, 660);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "G";
					if (ordre_temp === "G") {
						if (parcours_obj.si_vrai(18)) { // si rupture avec mario
							dialogue_obj.set(64, 690, 692);
						} else {
							dialogue_obj.set(0, 662);
						}
					}
					if (ordre_temp === "AG") {
						dialogue_obj.set(63, 653, 657);
					}
					if (ordre_temp === "GG") {
						dialogue_obj.set(62, 664, 673);
					}
				};
				ordre_temp = "";
				zones_obj.set(213, 97, 252, 199, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(259, 82, 310, 199, 0, 0, 0, fonction_callback_temp2); // --gabrielle
				zones_obj.set(183, 13, 227, 94, 695, 0, 105); // -- portier
				zones_obj.set(239, 40, 281, 77, 694, 0, 106); // --vieille
				break;
			case "s48": // sortie vernissage tom
				texte_obj.set_cadre(153, 1, 166, 198);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 708);
					}
					if (ordre_temp === "TA") {
						dialogue_obj.set(46, 699, 703);
					} // plaque tom
					if (ordre_temp === "AA") {
						dialogue_obj.set(49, 715, 717);
					} // peinture sur corps
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "T";
					if (ordre_temp === "T") {
						dialogue_obj.set(0, 697);
					}
					if (ordre_temp === "AT") {
						dialogue_obj.set(52, 710, 713);
					} //aspirateur
					if (ordre_temp === "TT") {
						dialogue_obj.set(49, 705, 706);
					} // peinture sur corps									
				};
				ordre_temp = "";
				zones_obj.set(51, 101, 86, 190, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(0, 93, 50, 197, 0, 0, 0, fonction_callback_temp2); // tom
				break;
			case "s49": // peinture sur corps
				curseur_obj.set(141);
				texte_obj.set_cadre(1, 113, 312, 82);
				zones_obj.set(251, 68, 307, 104, 0, 0, 0, function() {
					dialogue_obj.set(50, 743, 744);
				}); // -- le chat			
				zones_obj.set(43, 9, 91, 86, 0, 0, 0, function() {
					dialogue_obj.set(50, 739, 741);
				}); // -- statue
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 732);
					}
					if (ordre_temp === "TA") {
						dialogue_obj.set(50, 723, 725);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(50, 736, 737);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "T";
					if (ordre_temp === "T") {
						dialogue_obj.set(0, 721);
					}
					if (ordre_temp === "AT") {
						dialogue_obj.set(50, 734);
					}
					if (ordre_temp === "TT") {
						dialogue_obj.set(50, 727, 730);
					}
				};
				ordre_temp = "";
				zones_obj.set(103, 0, 165, 104, 0, 0, 0, fonction_callback_temp1); // amandine
				zones_obj.set(191, 7, 229, 104, 0, 0, 0, fonction_callback_temp2); // tom
				break;
			case "s50": // réveil avec tom
				texte_obj.set_cadre(1, 115, 318, 84);
				parcours_obj.vrai(119); // amandine et tom ont couché ensemble
				var salle2 = 51;
				if (parcours_obj.si_vrai(90)) {
					salle2 = 67;
				} // si amandine intéressée par le journalisme
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 764);
					}
					if (ordre_temp === "TA") {
						dialogue_obj.set(salle2, 749, 754);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(salle2, 766, 767);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "T";
					if (ordre_temp === "T") {
						dialogue_obj.set(0, 747);
					}
					if (ordre_temp === "AT") {
						dialogue_obj.set(salle2, 769, 776);
					}
					if (ordre_temp === "TT") {
						dialogue_obj.set(salle2, 756, 762);
					}
				};
				zones_obj.set(118, 62, 151, 109, 0, 0, 19, fonction_callback_temp1); // amandine
				zones_obj.set(156, 2, 213, 83, 0, 0, 19, fonction_callback_temp2); // tom			
				zones_obj.set(272, 86, 309, 109, 778, 0, 20); // -- le chat	
				break;
			case "s51": // statues amandine
				texte_obj.set_cadre(1, 123, 318, 76);
				zones_obj.set(0, 6, 52, 106, 780, 104, 0); // --statue 1
				zones_obj.set(53, 3, 95, 106, 781, 104, 0); // -- statue 2
				zones_obj.set(105, 30, 157, 111, 782, 104, 0); // --statue3
				zones_obj.set(159, 2, 219, 111, 783, 104, 0); // --statue 4
				zones_obj.set(221, 11, 315, 111, 784, 104, 0); // --statue 5+tom
				zones_obj.set(0, 110, 57, 132, 785, 104, 0); // -- chat				
				break;
			case "s52": // aspirateur amandine
				curseur_obj.set(142);
				son_obj.joue("52aspirateur");
				texte_obj.set_cadre(165, 1, 148, 194);
				zones_obj.set(10, 20, 73, 153, 0, 0, 0, function() {
					dialogue_obj.set(53, 787);
				}); // -- amandine
				zones_obj.set(105, 134, 150, 174, 0, 0, 0, function() {
					dialogue_obj.set(55, 788);
				}); // -- chat				
				break;
			case "s53": // salle d'attente vétérinaire
				texte_obj.set_cadre(2, 2, 119, 89);
				texte_obj.show();
				dialogue_obj.set(54, 790);
				break;
			case "s54": // vétérinaire
				texte_obj.set_cadre(2, 142, 317, 57);
				zones_obj.set(61, 87, 122, 132, 809, 49, 0); // -- chat
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 792);
					}
					if (ordre_temp === "VA") {
						dialogue_obj.set(49, 804, 805);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(49, 799, 800);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "V";
					if (ordre_temp === "V") {
						dialogue_obj.set(0, 802);
					}
					if (ordre_temp === "AV") {
						dialogue_obj.set(49, 794, 797);
					}
					if (ordre_temp === "VV") {
						dialogue_obj.set(49, 807);
					}
				};
				zones_obj.set(41, 15, 113, 81, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(125, 5, 252, 117, 0, 0, 0, fonction_callback_temp2); // —véto
				break;
			case "s55": // photomaton
				texte_obj.set_cadre(163, 1, 156, 198);
				zones_obj.set(21, 66, 144, 126, 813, 56, 0);
				zones_obj.set(21, 66, 144, 126, 812, 0, 120); // --amandine
				zones_obj.set(50, 125, 129, 163, 811, 0, 110); // --chat
				break;
			case "s56": // photos chat
				//texte_obj.set_cadre (0, -10, 0, -10); 
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s49");
				});
				break;
			case "s57": // amandine chez gabrielle
				ordre_temp = "";
				texte_obj.set_cadre(113, 1, 206, 198);
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 816);
					}
					if (ordre_temp === "GA") {
						dialogue_obj.set(58, 840, 842);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(58, 818, 822);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "G";
					if (ordre_temp === "G") {
						dialogue_obj.set(0, 828);
					}
					if (ordre_temp === "AG") {
						dialogue_obj.set(58, 824, 826);
					}
					if (ordre_temp === "GG") {
						dialogue_obj.set(58, 830, 838);
					}
				};
				zones_obj.set(76, 57, 110, 90, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(13, 74, 76, 147, 0, 0, 0, fonction_callback_temp2); // —gabrielle							
				break;
			case "s58": // réveil amandine et gabrielle
				texte_obj.set_cadre(127, 1, 192, 198);
				if (parcours_obj.si_vrai(90)) { // amandine veut travailler dans la presse
					salle2 = 67; // vers psy
				} else {
					salle2 = 66; // vers afrique
				}
				zones_obj.set(10, 143, 34, 160, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 854, 857);
				}); // --chat
				zones_obj.set(69, 74, 120, 197, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 847, 849);
				}); // -- amandine
				zones_obj.set(69, 74, 120, 197, 859, 0, 151); // -- amandine2
				zones_obj.set(7, 55, 53, 102, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 851, 852);
				}); // --gabrielle
				zones_obj.set(7, 55, 53, 102, 845, 0, 150); // --gabrielle2
				zones_obj.set(79, 185, 103, 197, 860, 0, 121); // --sexe d'amandine		
				break;
			case "s59": // woody
				texte_obj.set_cadre(1, 1, 201, 198);
				son_obj.joue("59woody");
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 861);
					}
					if (ordre_temp === "WA") {
						dialogue_obj.set(65, 872, 875);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(65, 866, 868);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "W";
					if (ordre_temp === "W") {
						dialogue_obj.set(0, 870);
					}
					if (ordre_temp === "AW") {
						dialogue_obj.set(65, 863, 864);
					}
					if (ordre_temp === "WW") {
						dialogue_obj.set(65, 877, 878);
					}
				};
				zones_obj.set(204, 121, 255, 199, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(202, 0, 319, 119, 0, 0, 0, fonction_callback_temp2); // woody				
				break;
			case "s60": // coiffeur
				curseur_obj.set(143);
				texte_obj.set_cadre(1, 1, 157, 198);
				zones_obj.set(272, 95, 298, 128, 0, 0, 152, function() {
					dialogue_obj.set(0, 882, 885);
				}); // --cliente
				zones_obj.set(252, 55, 287, 81, 880, 0, 152); // --coiffeuse
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 900);
					}
					if (ordre_temp === "CA") {
						dialogue_obj.set(104, 889, 892);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(104, 908, 909);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "C";
					if (ordre_temp === "C") {
						dialogue_obj.set(0, 887);
					}
					if (ordre_temp === "AC") {
						dialogue_obj.set(104, 902, 907);
					}
					if (ordre_temp === "CC") {
						dialogue_obj.set(104, 893, 899);
					}
				};
				zones_obj.set(244, 122, 274, 147, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(228, 89, 252, 115, 0, 0, 0, fonction_callback_temp2); // —coiffeur
				break;
			case "s61": // salle de gym
				texte_obj.set_cadre(1, 137, 318, 62);
				dialogue_obj.set(104, 912);
				break;
			case "s62": // bronzage
				texte_obj.set_cadre(1, 154, 318, 45);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 914, 916);
					}
					if (ordre_temp === "HA") {
						dialogue_obj.set(104, 928, 929);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(104, 918, 919);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "H";
					if (ordre_temp === "H") {
						dialogue_obj.set(0, 923, 924);
					}
					if (ordre_temp === "AH") {
						dialogue_obj.set(104, 921, 922);
					}
					if (ordre_temp === "HH") {
						dialogue_obj.set(104, 926, 927);
					}
				};
				zones_obj.set(108, 45, 164, 106, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(187, 15, 248, 100, 0, 0, 0, fonction_callback_temp2); // homme
				break;
			case "s63": // oranges
				texte_obj.set_cadre(176, 1, 142, 197);
				zones_obj.set(15, 58, 86, 131, 0, 0, 0, function() {
					dialogue_obj.set(104, 932, 938);
				}); // --amandine
				zones_obj.set(90, 11, 174, 71, 940, 0, 156); // --vendeur
				zones_obj.set(90, 11, 174, 71, 939, 0, 155); // --vendeur
				break;
			case "s64": // soirée coke
				curseur_obj.set(144);
				texte_obj.set_cadre(1, 134, 318, 65);
				son_obj.joue("64coke");
				zones_obj.set(238, 76, 267, 131, 0, 0, 0, function() {
					dialogue_obj.set(58, 954, 958);
				}); // --amandine			
				zones_obj.set(202, 63, 230, 114, 0, 0, 0, function() {
					dialogue_obj.set(65, 964, 969);
				}); // --homme amandine
				zones_obj.set(132, 93, 185, 114, 0, 0, 0, function() {
					dialogue_obj.set(59, 943, 952);
				}); // --homme coke
				zones_obj.set(81, 71, 121, 131, 0, 0, 0, function() {
					dialogue_obj.set(65, 960, 962);
				}); // --gabrielle
				zones_obj.set(206, 11, 259, 45, 0, 0, 157, function() {
					dialogue_obj.set(0, 971, 975);
				}); // --couple			
				break;
			case "s65": // émission VÉRIFIER
				texte_obj.set_cadre(1, 2, 317, 90);
				zones_obj.set(147, 92, 207, 119, 0, 0, 0, function() {
					dialogue_obj.set(104, 1011, 1022);
				}); // --homme);
				son_obj.joue("65musique_tele");
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 998);
					}
					if (ordre_temp === "PA") {
						dialogue_obj.set(104, 995, 996);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(104, 1003, 1009);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "P";
					if (ordre_temp === "P") {
						dialogue_obj.set(0, 978, 980);
					}
					if (ordre_temp === "AP") {
						dialogue_obj.set(104, 1000, 1001);
					}
					if (ordre_temp === "PP") {
						dialogue_obj.set(104, 983, 993);
					}
				};
				zones_obj.set(92, 95, 146, 178, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(251, 92, 319, 199, 0, 0, 0, fonction_callback_temp2); // —présentateur				
				break;
			case "s66": // afrique
				son_obj.joue("66afrique");
				texte_obj.set_cadre(20, 11, 274, 108);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 1033);
					}
					if (ordre_temp === "MA") {
						dialogue_obj.set(104, 1026, 1029);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(104, 1035, 1042);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "M";
					if (ordre_temp === "M") {
						dialogue_obj.set(0, 1024);
					}
					if (ordre_temp === "AM") {
						dialogue_obj.set(104, 1044, 1055);
					}
					if (ordre_temp === "MM") {
						dialogue_obj.set(104, 1031);
					}
				};
				zones_obj.set(254, 127, 319, 191, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(13, 113, 65, 199, 0, 0, 0, fonction_callback_temp2); // —mère	
				break;
			case "s67": // psy
				curseur_obj.set(145);
				son_obj.joue("67horloge");
				texte_obj.set_cadre(1, 1, 174, 198);
				zones_obj.set(181, 0, 298, 72, 0, 0, 0, function() {
					if (parcours_obj.si_vrai(11)) { // dialogue au téléphone en S7
						dialogue_obj.set(68, 1070, 1076);
					} else {
						dialogue_obj.set(68, 1065, 1068);
					}
				}); // --psy
				zones_obj.set(212, 81, 296, 197, 0, 0, 0, function() {
					if (parcours_obj.si_vrai(11)) {
						dialogue_obj.set(68, 1078, 1086);
					} else {
						dialogue_obj.set(68, 1057, 1063);
					}
				}); // mère	
				break;
			case "s68": // rêve presse
				texte_obj.set_cadre(25, 18, 270, 110);
				zones_obj.set(181, 0, 319, 103, 1088, 69, 0); // --immeuble
				zones_obj.set(97, 86, 173, 180, 1090, 70, 0); // --photographe
				zones_obj.set(0, 0, 109, 75, 1089, 71, 0); // --redacteur
				zones_obj.set(181, 109, 319, 199, 1091, 72, 0); // --rotative
				break;
			case "s69": // tente rédaction
				texte_obj.set_cadre(2, 1, 155, 198);
				if (parcours_obj.si_vrai(10)) { // si jeu tv ok
					salle2 = 78; // vers jeu tv
				} else {
					salle2 = 76; // vers conférence rédaction
				}
				zones_obj.set(198, 123, 267, 170, 0, 0, 0, function() {
					dialogue_obj.set(73, 1093, 1098);
				}); // --amandine
				zones_obj.set(162, 11, 210, 109, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 1100, 1106);
				}); // --secrétaire				
				break;
			case "s70": // affiche rédaction
				texte_obj.set_cadre(145, 3, 162, 195);
				if (parcours_obj.si_vrai(10)) { // si jeu tv ok
					salle2 = 78; // vers jeu tv
				} else {
					salle2 = 76; // vers conférence rédaction
				}
				zones_obj.set(0, 86, 37, 199, 0, 0, 0, function() {
					dialogue_obj.set(73, 1108, 1114);
				}); // --secretaire
				zones_obj.set(53, 95, 133, 199, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 1116, 1118);
				}); // --rédac chef
				break;
			case "s71": // téléphone rédaction
				curseur_obj.set(146);
				texte_obj.set_cadre(1, 89, 317, 110);
				if (parcours_obj.si_vrai(10)) { // si jeu tv ok
					salle2 = 78; // vers jeu tv
				} else {
					salle2 = 76; // vers conférence rédaction
				}
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 1135);
					}
					if (ordre_temp === "SA") {
						dialogue_obj.set(salle2, 1122, 1128);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(73, 1140, 1142);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "S";
					if (ordre_temp === "S") {
						dialogue_obj.set(0, 1120);
					}
					if (ordre_temp === "AS") {
						dialogue_obj.set(73, 1137, 1138);
					}
					if (ordre_temp === "SS") {
						dialogue_obj.set(salle2, 1130, 1133);
					}
				};
				zones_obj.set(212, 0, 319, 89, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(0, 0, 101, 89, 0, 0, 0, fonction_callback_temp2); // —secrétaire		
				break;
			case "s72": // gadgets rédaction
				curseur_obj.set(147);
				texte_obj.set_cadre(162, 1, 157, 198);
				if (parcours_obj.si_vrai(10)) { // si jeu tv ok
					salle2 = 78; // vers jeu tv
				} else {
					salle2 = 76; // vers conférence rédaction
				}
				zones_obj.set(9, 39, 86, 127, 0, 0, 0, function() {
					dialogue_obj.set(salle2, 1144, 1148);
				}); // --journaliste gauche
				zones_obj.set(87, 47, 138, 128, 0, 0, 0, function() {
					dialogue_obj.set(73, 1150, 1153);
				}); // --journaliste droit
				break;
			case "s73": // entretien rédacteur chef
				texte_obj.set_cadre(1, 2, 145, 197);
				zones_obj.set(209, 107, 230, 133, 1194, 0, 166); // --journal
				zones_obj.set(209, 107, 230, 133, 1193, 0, 165); // --journal
				zones_obj.set(133, 132, 172, 163, 1192, 0, 164); // --journal
				zones_obj.set(133, 132, 172, 163, 1191, 0, 163); // --journal       
				zones_obj.set(185, 136, 213, 155, 1190, 0, 162); // --journal        
				zones_obj.set(185, 136, 213, 155, 1189, 0, 161); // --journal
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 1176);
					}
					if (ordre_temp === "RA") {
						dialogue_obj.set(75, 1157, 1164);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(74, 1182, 1187);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "R";
					if (ordre_temp === "R") {
						dialogue_obj.set(0, 1155);
					}
					if (ordre_temp === "AR") {
						dialogue_obj.set(75, 1178, 1180);
					}
					if (ordre_temp === "RR") {
						dialogue_obj.set(74, 1166, 1174);
					}
				};
				zones_obj.set(250, 88, 319, 199, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(135, 68, 208, 124, 0, 0, 0, fonction_callback_temp2); // rédacteur			
				break;
			case "s74": // amandine rédactrice beauté
				texte_obj.set_cadre(157, 1, 162, 198);
				texte_obj.show();
				dialogue_obj.set(104, 1196);
				texte_obj.show();
				break;
			case "s75": // course cycliste
				texte_obj.set_cadre(160, 2, 158, 197);
				texte_obj.show();
				dialogue_obj.set(104, 1198);
				break;
			case "s76": // conférence rédaction
				texte_obj.set_cadre(1, 2, 317, 90);
				zones_obj.set(21, 113, 53, 149, 1200, 0, 0); //idiot
				zones_obj.set(276, 106, 309, 143, 0, 0, 0, function() {
					dialogue_obj.set(104, 1218, 1219);
				}); // --poivrot
				zones_obj.set(89, 100, 127, 126, 0, 0, 0, function() {
					dialogue_obj.set(104, 1202, 1204);
				}); // --barbu
				zones_obj.set(131, 101, 153, 123, 0, 0, 0, function() {
					dialogue_obj.set(104, 1206, 1208);
				}); // --fille
				zones_obj.set(176, 94, 202, 113, 0, 0, 0, function() {
					dialogue_obj.set(104, 1210);
				}); // --rédac chef
				zones_obj.set(219, 96, 234, 111, 0, 0, 0, function() {
					dialogue_obj.set(104, 1212, 1213);
				}); // --enquête
				zones_obj.set(227, 112, 245, 125, 0, 0, 0, function() {
					dialogue_obj.set(104, 1215, 1216);
				}); // --grincheux				
				break;
			case "s77": // jeu tv
				texte_obj.set_cadre(1, 2, 317, 97);
				dial = "";
				zones_obj.set(0, 142, 29, 185, 0, 0, 0, function() {
					son_obj.joue("77applaudissements");
				}); // --machine à applaudir
				zones_obj.set(38, 111, 94, 199, 1228, 0, 182); // présentateur
				dial = 0;
				zones_obj.set(97, 147, 154, 199, 0, 0, 0, function() {
					dial++;
					switch (dial) {
						case 1:
							dialogue_obj.set(0, 1230, 1234);
							break;
						case 2:
							dialogue_obj.set(0, 1251, 1254);
							break;
						case 3:
							dialogue_obj.set(0, 1264, 1266);
							break;
						case 4:
							dialogue_obj.set(0, 1275, 1277);
							break;
						case 5: // bonne réponse
							dialogue_obj.set(80, 1285, 1286);
							break;
					}
				}); // --odile
				zones_obj.set(173, 129, 229, 199, 0, 0, 0, function() {
					dial++;
					switch ("amandine", dial) {
						case 1:
							dialogue_obj.set(0, 1236, 1241);
							break;
						case 2:
							dialogue_obj.set(0, 1255, 1257);
							break;
						case 3:
							dialogue_obj.set(0, 1267, 1269);
							break;
						case 4:
							dialogue_obj.set(0, 1278, 1280);
							break;
						case 5: // bonne réponse
							dialogue_obj.set(79, 1285, 1286);
							break;
					}
				}); // --amandine	
				zones_obj.set(247, 122, 306, 199, 0, 0, 0, function() {
					dial++;
					switch (dial) {
						case 1:
							dialogue_obj.set(0, 1243, 1249);
							break;
						case 2:
							dialogue_obj.set(0, 1258, 1260);
							break;
						case 3:
							dialogue_obj.set(0, 1270, 1272);
							break;
						case 4:
							dialogue_obj.set(0, 1281, 1283);
							break;
						case 5: // bonne réponse
							dialogue_obj.set(80, 1285, 1286);
							break;
					}
				}); // --jacques												
				break;
			case "s78": // playback
				texte_obj.set_cadre(80, 107, 239, 92);
				son_obj.joue("78playback");
				dialogue_obj.set(77, 1223, 1226);
				break;
			case "s79": // victoire jeu tv
				texte_obj.set_cadre(1, 101, 261, 97);
				son_obj.joue("79victoire");
				zones_obj.set(80, 39, 119, 102, 1306, 0, 122); // --jaune
				zones_obj.set(163, 27, 209, 69, 1288, 0, 123); // --luc
				zones_obj.set(264, 73, 284, 100, 1308, 0, 125); // --livre 1
				zones_obj.set(261, 107, 277, 112, 1309, 0, 126); //)
				zones_obj.set(261, 114, 277, 119, 1310, 0, 127); //)
				zones_obj.set(261, 121, 277, 126, 1311, 0, 128); //)
				zones_obj.set(261, 128, 277, 133, 1312, 0, 129); //
				zones_obj.set(261, 135, 277, 140, 1313, 0, 130); //
				zones_obj.set(261, 142, 277, 147, 1314, 0, 131); // --livre7			 	
				zones_obj.set(131, 43, 162, 102, 0, 0, 0, function() {
					dialogue_obj.set(82, 1290, 1296);
				}); // --amandine
				zones_obj.set(216, 62, 255, 102, 0, 0, 124, function() {
					dialogue_obj.set(0, 1298, 1304);
				}); // odile 
				break;
			case "s80": // mère devant tv
				attente_obj.suite(function() {
					NOUVELLE_SCENE("s81");
				});
				break;
			case "s81": // mère plateau tv
				curseur_obj.set(148);
				texte_obj.set_cadre(181, 1, 138, 198);
				zones_obj.set(48, 22, 94, 45, 0, 0, 0, function() {
					dialogue_obj.set(104, 1316, 1319);
				}); // --odile
				zones_obj.set(124, 31, 152, 45, 0, 0, 0, function() {
					dialogue_obj.set(104, 1321, 1325);
				}); // --amandine
				zones_obj.set(110, 46, 162, 139, 0, 0, 0, function() {
					dialogue_obj.set(104, 1332, 1335);
				}); // --luc
				zones_obj.set(10, 68, 106, 150, 0, 0, 0, function() {
					dialogue_obj.set(104, 1327, 1330);
				}); // --mère
				break;
			case "s82": // avion
				texte_obj.set_cadre(1, 121, 318, 78);
				zones_obj.set(220, 12, 250, 62, 0, 0, 135, function() {
					son_obj.joue("82rap");
				}); // --rap
				if (parcours_obj.si_vrai(119)) { // Amandine et Tom ensemble (s50)
					salle2 = 83;
				} else {
					salle2 = 84;
				}
				zones_obj.set(0, 3, 27, 63, 1337, salle2, 0); // --hotesse
				zones_obj.set(98, 16, 128, 62, 1339, salle2, 0); // --amandine
				zones_obj.set(131, 22, 158, 61, 1338, salle2, 0); // --vieux				
				break;
			case "s83": // aéroport téléphone
				texte_obj.set_cadre(1, 114, 317, 84);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 1355);
					}
					if (ordre_temp === "TA") {
						dialogue_obj.set(84, 1346, 1349);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(84, 1367, 1369);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "T";
					if (ordre_temp === "T") {
						dialogue_obj.set(0, 1344);
					}
					if (ordre_temp === "AT") {
						dialogue_obj.set(84, 1357, 1365);
					}
					if (ordre_temp === "TT") {
						dialogue_obj.set(84, 1351, 1353);
					}
				};
				zones_obj.set(57, 26, 79, 88, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(213, 13, 300, 95, 0, 0, 0, fonction_callback_temp2); // —tom				
				zones_obj.set(84, 23, 195, 103, 1342, 0, 132); //) --foule
				zones_obj.set(96, 0, 194, 20, 1341, 0, 133); // --aéro
				break;
			case "s84": // sortie aéroport
				texte_obj.set_cadre(1, 1, 317, 74);
				zones_obj.set(205, 96, 234, 163, 1371, 0, 169); // --amandine
				zones_obj.set(0, 124, 42, 199, 1373, 87, 0); // --plage
				zones_obj.set(85, 170, 261, 199, 1372, 93, 0); // --hôtel
				zones_obj.set(263, 87, 319, 178, 1374, 85, 0); // --élastique			 			 
				break;
			case "s85": // saut élastique
				texte_obj.set_cadre(161, 1, 158, 120);
				zones_obj.set(0, 107, 26, 130, 0, 86, 0); // --amandine
				zones_obj.set(13, 60, 39, 106, 1376, 0, 136); // --cadre
				zones_obj.set(66, 70, 100, 129, 1377, 0, 137); // --moniteur
				zones_obj.set(82, 22, 109, 49, 1378, 0, 138); // --aviateur
				zones_obj.set(227, 145, 255, 199, 0, 0, 139, function() {
					dialogue_obj.set(0, 1380, 1381);
				}); // --homme 1
				zones_obj.set(52, 22, 76, 58, 0, 0, 140, function() {
					dialogue_obj.set(0, 1383, 1384);
				}); // --matelas
				zones_obj.set(267, 121, 295, 146, 0, 0, 141, function() {
					dialogue_obj.set(0, 1386, 1391);
				}); // --homme 2
				break;
			case "s86": // saut amandine
				texte_obj.set_cadre(174, 2, 144, 197);
				son_obj.joue("86saut");
				salle2 = 91;
				if (parcours_obj.si_vrai(119) && parcours_obj.si_vrai(32)) {
					salle2 = 90;
				} // avec tom, veut un bébé (mère)
				if (parcours_obj.si_vrai(119) && parcours_obj.si_faux(32)) {
					salle2 = 51;
				} // avec tom, sans bébé (statues)
				if (parcours_obj.si_faux(119)) {
					salle2 = 91;
				} // vieille fille
				dialogue_obj.set(salle2, 1393);
				break;
			case "s87": // plage
				curseur_obj.set(149);
				texte_obj.set_cadre(1, 1, 317, 57);
				//son_obj.joue("87plage");
				zones_obj.set(12, 86, 30, 111, 1396, 92, 142); // --amandine
				zones_obj.set(122, 60, 149, 77, 1398, 0, 143); // --affiche plage
				zones_obj.set(183, 59, 211, 76, 1397, 0, 144); // --affiche lessive
				zones_obj.set(261, 60, 288, 76, 1399, 0, 145); // --affiche général
				zones_obj.set(159, 67, 182, 88, 0, 88, 0); //--soldats
				zones_obj.set(214, 59, 226, 83, 0, 0, 146, function() {
					dialogue_obj.set(0, 1402, 1404);
				}); // --cabine 1
				zones_obj.set(227, 62, 243, 83, 0, 0, 147, function() {
					dialogue_obj.set(0, 1406, 1407);
				}); // --cabine 2
				zones_obj.set(247, 69, 259, 87, 1395, 89, 0); // --mère
				zones_obj.set(68, 95, 85, 111, 1400, 0, 148); // --sss			 
				break;
			case "s88": // police plage
				texte_obj.set_cadre(168, 1, 150, 198);
				zones_obj.set(2, 101, 66, 197, 0, 0, 0, function() {
					dialogue_obj.set(92, 1412, 1419);
				}); // --flic1
				zones_obj.set(67, 105, 105, 147, 1410, 0, 173); // --flic2
				zones_obj.set(138, 122, 168, 194, 0, 0, 0, function() {
					dialogue_obj.set(92, 1421, 1427);
				}); // --amandine
				break;
			case "s89": // mère plage
				son_obj.joue("89mere");
				texte_obj.set_cadre(163, 2, 155, 153);
				ordre_temp = "";
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A") {
						dialogue_obj.set(0, 1449);
					}
					if (ordre_temp === "MA") {
						dialogue_obj.set(92, 1441, 1447);
					}
					if (ordre_temp === "AA") {
						dialogue_obj.set(92, 1456, 1463);
					}
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp + "M";
					if (ordre_temp === "M") {
						dialogue_obj.set(0, 1430);
					}
					if (ordre_temp === "AM") {
						dialogue_obj.set(92, 1451, 1454);
					}
					if (ordre_temp === "MM") {
						dialogue_obj.set(92, 1432, 1439);
					}
				};
				zones_obj.set(72, 125, 242, 199, 0, 0, 0, fonction_callback_temp1); //--amandine
				zones_obj.set(0, 0, 66, 199, 0, 0, 0, fonction_callback_temp2); // —mère
				zones_obj.set(94, 98, 108, 107, 1465, 0, 175); // --disquette
				zones_obj.set(138, 16, 157, 46, 1466, 0, 176); // --vieux 
				break;
			case "s90": // jardin poussette
				curseur_obj.set(150);
				texte_obj.set_cadre(1, 2, 318, 85);
				zones_obj.set(183, 141, 199, 151, 1469, 0, 177); // --pencarte
				zones_obj.set(39, 88, 81, 175, 1470, 0, 178); // --mère
				zones_obj.set(201, 144, 265, 196, 1471, 0, 179); // --enfants bcbg
				zones_obj.set(277, 109, 319, 199, 1472, 0, 180); // --mère bcbg
				zones_obj.set(109, 148, 139, 183, 1473, 0, 181); // --enfant amandine
				zones_obj.set(140, 104, 182, 193, 1474, 104, 0); // --amandine  
				break;
			case "s91": // amandine vieille
				curseur_obj.set(151);
				texte_obj.set_cadre(1, 1, 156, 198);
				zones_obj.set(165, 100, 189, 141, 1477, 104, 0); // --chat
				zones_obj.set(194, 101, 262, 199, 1478, 104, 0); // --amandine
				break;
			case "s92": // copines amandine
				curseur_obj.set(152);
				texte_obj.set_cadre(9, 92, 301, 96);
				zones_obj.set(0, 100, 57, 199, 0, 0, 0, function() {
					dialogue_obj.set(104, 1480, 1485);
				}); // --brune
				zones_obj.set(24, 48, 62, 99, 1487, 104, 0); // --lunettes
				zones_obj.set(68, 41, 102, 72, 0, 0, 0, function() {
					dialogue_obj.set(104, 1489, 1491);
				}); // gabrielle
				zones_obj.set(103, 58, 135, 118, 1493, 104, 0); // --amandine
				zones_obj.set(124, 34, 164, 57, 0, 0, 0, function() {
					dialogue_obj.set(104, 1495, 1501);
				}); // --brune
				zones_obj.set(165, 49, 201, 138, 0, 0, 0, function() {
					dialogue_obj.set(104, 1503, 1507);
				}); // --blonde
				zones_obj.set(205, 70, 254, 156, 1509, 104, 0); // --chatain	 
				break;
			case "s93": // restaurant mike
				texte_obj.set_cadre(2, 126, 316, 73);
				zones_obj.set(39, 44, 110, 115, 0, 0, 0, function() {
					dialogue_obj.set(95, 1512, 1520);
				}); // --amandine	
				zones_obj.set(111, 34, 224, 115, 0, 0, 0, function() {
					dialogue_obj.set(94, 1522, 1528);
				}); // --mike vincent		 
				zones_obj.set(244, 10, 286, 94, 0, 0, 167, function() {
					dialogue_obj.set(0, 1530, 1534);
				}); // --homme en blanc
				zones_obj.set(294, 15, 319, 49, 0, 0, 167, function() {
					dialogue_obj.set(0, 1536, 1538);
				}); // --femme
				break;
			case "s94": // concert mike
				curseur_obj.set(153);
				son_obj.joue("94danseuses");
				texte_obj.set_cadre(163, 2, 156, 197);			
  zones_obj.set(32,88,70,199,1542,104,0); // --amandine
  zones_obj.set(71,71,122,199,1541,104,0); // --mike
  zones_obj.set(125,82,174,199,1543,104,0); // --danseuse  
				break;

				
			case "s95": // attaque nudistes
				son_obj.joue("95nudistes");
				texte_obj.set_cadre(1, 1, 317, 78);
				dialogue_obj.set(96,1546,1551);
				break;
			case "s96": // négociation nudistes
				texte_obj.set_cadre(2, 1, 159, 198);
				
				zones_obj.set(252,105,319,199,0,0,0, function() {
					dialogue_obj.set(97,1554,1559);
				}); // --nudiste
				zones_obj.set(160,3,235,94,0,0,0, function() {
					dialogue_obj.set(97,1561,1567);
				}); // --ministre
				zones_obj.set(238,0,319,80,0,0,0, function() {
					dialogue_obj.set(98,1569,1572);
				}); // --général				
				break;
	
			case "s97": // radio nudistes
				texte_obj.set_cadre(1, 93, 318, 105);
				
  zones_obj.set(79,34,130,101,1587,104,0); // --fille
  zones_obj.set(185,21,237,80,0,0,0, function() {
					dialogue_obj.set(104,1575,1585);
				}); // --journaliste				
	 zones_obj.set(131,29,180,87,1588,104,0); // --animateur
	 break;
				
			case "s98": // soldats nudistes
				son_obj.joue("98commando");
				attente_obj.suite(function() {NOUVELLE_SCENE("s99");});
				break;
				
			case "s99": // retour article
				texte_obj.set_cadre(1, 144, 318, 55);

				if (parcours_obj.si_vrai(119)) { //Amandine et Tom ont couché ensemble (s50)
					salle2 = 100;
				} else {
					salle2 = 101;
				}
				zones_obj.set(18,2,100,98,0,0,0, function() {
					dialogue_obj.set(salle2,1601,1609);
				}); // --amandine
				zones_obj.set(182,22,277,120,0,0,0, function() {
					dialogue_obj.set(salle2,1591,1599);
				}); // --rédac chef
				break;

			case "s100": // face à face
				texte_obj.set_cadre(124, 1, 194, 197);
				
				ordre_temp = "";	
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A" && parcours_obj.si_vrai(32))  {dialogue_obj.set(0,1615);} // veut un enfant	
					if (ordre_temp === "A" && parcours_obj.si_faux(32))  {dialogue_obj.set(51,1613);}
					if (ordre_temp === "TA") {dialogue_obj.set(102,1643,1652);}
					if (ordre_temp === "AA") {dialogue_obj.set(102,1627,1629);}	
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp +"T";
					if (ordre_temp === "T" && parcours_obj.si_vrai(32))  {dialogue_obj.set(0, 1631);} // veut un enfant
					if (ordre_temp === "T" && parcours_obj.si_faux(32))  {dialogue_obj.set(51, 1612);}
					if (ordre_temp === "AT") {dialogue_obj.set(102,1617,1625);}
					if (ordre_temp === "TT") {dialogue_obj.set(102,1633,1641);}									
				};
				zones_obj.set(0,11,54,137,1613,0,0, fonction_callback_temp1); //--amandine
				zones_obj.set(67,25,180,137,1612,0,0, fonction_callback_temp2); // —tom				
				break;
				
				
			case "s101": // amandine devenue chef
				texte_obj.set_cadre(167, 2, 150, 196);
				
				
				ordre_temp = "";	
				fonction_callback_temp1 = function() {
					ordre_temp = ordre_temp + "A";
					if (ordre_temp === "A")  {dialogue_obj.set(0, 1682);}	
					if (ordre_temp === "SA") {dialogue_obj.set(104,1673,1680);}
					if (ordre_temp === "AA") {dialogue_obj.set(104,1689,1698);}	
				};
				fonction_callback_temp2 = function() {
					ordre_temp = ordre_temp +"S";
					if (ordre_temp === "S")  {dialogue_obj.set(0, 1655);}
					if (ordre_temp === "AS") {dialogue_obj.set(104,1684,1687);}
					if (ordre_temp === "SS") {dialogue_obj.set(104,1657,1671);}									
				};
				zones_obj.set(0,20,100,105,0,0,0, fonction_callback_temp1); //--amandine
				zones_obj.set(109,26,182,105,0,0,0, fonction_callback_temp2); // —secrétaire				
				break;
						
			case "s102": // débat tv
				texte_obj.set_cadre(3, 129, 316, 70);
zones_obj.set(255,11,311,98,1789,0,183); // --presentateur
zones_obj.set(192,0,239,60,0,0,0, function() {
					dialogue_obj.set(104,1729,1739);
				}); //  --gros
zones_obj.set(37,28,76,57,0,0,0, function() {
					dialogue_obj.set(104,1714,1727);
				}); //  --chauve
zones_obj.set(184,64,221,104,0,0,0, function() {
					dialogue_obj.set(104,1741,1759);
				}); //  --brun
zones_obj.set(81,57,101,77,0,0,0, function() {
					dialogue_obj.set(104,1774,1787);
				}); //  --gros sourcils
zones_obj.set(90,12,130,53,0,0,0, function() {
					dialogue_obj.set(104,1761,1772);
				}); //  --barbu
zones_obj.set(137,0,188,61,0,0,0, function() {
					dialogue_obj.set(104,1701,1712);
				}); //  --amandine				
				break;
				
			case "s103": // fin1
				attente_obj.suite(function() {
					parcours_obj.raz();
					DEBUT();
				});	
				break;
			case "s104": // fin2
				attente_obj.suite(function() {
					parcours_obj.raz();
					DEBUT();
				});
				break;
			default:
				break;
		} // fin switch
		
	} // fin nouvelle_scene2
	
	function ILLUSTRATION($conteneur) { // gestion de l'illustration
		this.$conteneur = $conteneur;
		this.$chemin = this.$conteneur.find("img"); //.attr("src");
		this.set = function(chemin) {
			this.$conteneur.find("img").attr("src", chemin);
		};
		return (this);
	} // fin illustration
	
	function TEXTE($conteneur, resolution_origine_largeur, resolution_origine_hauteur) { // gestion de la zone de texte
		this.$conteneur = $conteneur;
		self = this;
		this.liste_textes = [];
		this.pointeur_textes = 0;
		this.$conteneur_parent = $conteneur.parent();
		this.resolution_origine_largeur = resolution_origine_largeur;
		this.resolution_origine_hauteur = resolution_origine_hauteur;
		this.corps_maxi = parseInt(this.$conteneur.css("font-size"));
		this.interligne_maxi = parseInt(this.$conteneur.css("line-height")); // extraction de l'interligne en px
		this.set_cadre = function(gauche, haut, largeur, hauteur) {
			this.$conteneur.css("left", gauche / resolution_origine_largeur * 100 + "%");
			this.$conteneur.css("top", haut / resolution_origine_hauteur * 100 + "%");
			this.$conteneur.css("width", largeur / resolution_origine_largeur * 100 + "%");
			this.$conteneur.css("height", hauteur / resolution_origine_hauteur * 100 + "%");
		};


		this.set = function(liste_texte_temp, callback_temp) {
			this.liste_textes = _.flatten(liste_texte_temp);
			this.pointeur = 0;
			self.callback = callback_temp;
			self.suivant();
		};
		
		
		this.suivant = function() {
			texte_temp = this.liste_textes[this.pointeur];
			self.$conteneur.children().html(texte_temp);
			//self.ajuste();
			self.show();
			self.ajuste();
			
			this.pointeur++;
			if (this.pointeur >= this.liste_textes.length) {
				attente_obj.hide();
				if (_.isFunction(self.callback)) {
					attente_obj.suite(self.callback);
				} // appel du callback
			} else {
				attente_obj.suite(function () {
					self.suivant();
				});
			}
		};
		
		this.show = function() {
			this.$conteneur.show();
		};
		this.hide = function() {
			this.$conteneur.hide();
		};
		this.ajuste = function() { // ajuste le corps du texte pour qu'il entre dans la div
			self.$conteneur.children().css("line-height", self.interligne_maxi + "px");
			for (var i = self.corps_maxi; i > 1; i--) { // test de tous les corps possibles
				self.$conteneur.children().css("font-size", i + "px"); // réduction du corps
				self.$conteneur.children().css("line-height", "-=1px"); // réduction supplémentaire de l'interligne
				//console.log(self.$conteneur.children().height(), self.$conteneur.height());
				if (self.$conteneur.children().height() < self.$conteneur.height()) {
					break;
				}
			}
		};
		$(window).resize(function(e) { // en cas de changement de taille de la fenêtre
			self.ajuste();
		});
		return (this);
	} // fin texte
	
	function ZONES(liste_zones, resolution_origine_largeur, resolution_origine_hauteur, curseur_texte, curseur_nouvelle_scene) {
		this.liste_zones = liste_zones;
		this.zones_actives = {};
		this.resolution_origine_largeur = resolution_origine_largeur;
		this.resolution_origine_hauteur = resolution_origine_hauteur;
		this.curseur_texte = curseur_texte;
		this.curseur_nouvelle_scene = curseur_nouvelle_scene;
		var self = this;
		this.raz = function() {
			this.zones_actives = {};
			for (var zone_temp of this.liste_zones) { // effacement par défaut de toutes les zones
				var $zone_temp = $("#" + zone_temp);
				$zone_temp.hide();
			}
		}; // fin raz
		// Définition des caractéristiques d'une zone
		this.set = function(gauche, haut, droite, bas, numero_texte, numero_scene_destination, numero_indicateur_deja_vu, fonction_callback, parametre_callback) { // ajout d'une zone active
			var self = this;
			var nombre_zones_actives_temp = _.size(this.zones_actives);
			var zone_temp = this.liste_zones[nombre_zones_actives_temp];
			var $zone_temp = $("#" + zone_temp);
			this.zones_actives[zone_temp] = $zone_temp;
			if (parcours_obj.si_vrai(numero_indicateur_deja_vu)) { // si le texte a déjà été cliquée une fois
				$zone_temp.hide();
				return;
			}
			// Fixe les dimensions de la zone à cliquer
			$zone_temp.css("left", gauche / resolution_origine_largeur * 100 + "%");
			$zone_temp.css("top", haut / resolution_origine_hauteur * 100 + "%");
			$zone_temp.css("width", (droite - gauche) * 100 / resolution_origine_largeur + "%");
			$zone_temp.css("height", (bas - haut) * 100 / resolution_origine_hauteur + "%");
			// Si la scène est vide, on enverra 0 et un curseur "?"
			var scene_destination;
			if (numero_scene_destination === 0) {
				scene_destination = 0;
				$zone_temp.css("cursor", this.curseur_texte);
			} else { // sinon un curseur indiquant un changement de scène et une chaîne de type "s1"
				scene_destination = "s" + numero_scene_destination;
				$zone_temp.css("cursor", this.curseur_nouvelle_scene);
			}
			this.scene_destination = scene_destination;
			// Gestion du clic
			$zone_temp.off(); // indispensable pour supprimer des événements précédents
			$zone_temp.on("click", function() { // important d'utiliser on et pas one???
				if ($zone_temp.css("display") === "none") {
					return;	
				}
				
				mediator.publish("clic_zone", scene_destination, numero_texte, numero_indicateur_deja_vu);
				if (numero_indicateur_deja_vu) {
					parcours_obj.vrai(numero_indicateur_deja_vu);
					if (scene_destination === 0) { // important: disparition de la zone seulement si on reste sur la même scène
						$zone_temp.hide();
					}
				}
				if (_.isFunction(fonction_callback)) { // exécute une fonction optionnelle (type changement de scène conditionnel)
					fonction_callback.call(parametre_callback);
				}
			});
			$zone_temp.show(); // finalement, affichage de la zone
		}; // fin set
		this.get_scene_destination = function() {
			return (this.scene_destination);
		};
		this.get_liste_zones_actives = function() {
			return(this.zones_actives);
		};
		
		this.raz();
		return (this);
	} // fin zones
	
	function SON(liste_sons, prefixe_chemin, format) { // gestion des sons, avec Buzz.js
		this.sons_obj = {};
		this.liste_sons_obj = [];
		for (var nom_son_temp of liste_sons) { // création d'une liste d'objet avec chaque son
			this.sons_obj[nom_son_temp] = new buzz.sound(prefixe_chemin + nom_son_temp, {
				formats: [format],
				preload: true,
				autoplay: false,
				loop: false,
				volume: 100
			});
			this.liste_sons_obj.push(this.sons_obj[nom_son_temp]);
		}
		this.joue = function(nom_son) {
			this.sons_obj[nom_son].play();
		};
		this.stop = function(nom_son) {
			this.sons_obj[nom_son].stop();
		};
		this.silence = function() { // stoppe tous les sons éventuellement joués
			this.liste_sons_obj.forEach(function(obj_temp) {
				obj_temp.stop();
			});
		};
		this.fini = function(nom_son) { // son fini de se jouer?
			return (this.sons_obj[nom_son].isEnded());
		};
		return (this);
	} // fin son
	
	function CURSEUR(liste_donnees_curseurs) {
		this.curseurs = liste_donnees_curseurs;
		this.set = function(numero_temp) {
			$("body").css("cursor", ""); // important de supprimer au préalable
			$("body").css("cursor", this.curseurs[numero_temp]);
		};
		return(this);
	}
	
	function ATTENTE($conteneur) { // attente d'un clic pour passer à la suite
		this.$conteneur = $conteneur;
		this.$conteneur.hide(); //invisible par défaut
		var self = this;
		this.suite = function(callback_temp) {
			this.$conteneur.show();
			this.$conteneur.one("click", function(e) {
				callback_temp.call(); // appelle la suite
				callback_temp = undefined;
				//self.hide();
			});
		};
		this.show = function() {
			self.$conteneur.show();
		};
		this.hide = function() {
			self.$conteneur.hide();
			self.$conteneur.off();
		};
		return (this);
	}
	
	function FONDU($conteneur, duree_temp) {// apparition d'un cache créant un fondu au noir
		this.$conteneur = $conteneur;
		this.$conteneur.hide(); //invisible par défaut
		this.duree = duree_temp;
		var self = this;
		this.fondu_out = function(callback_temp) {
			this.$conteneur.fadeIn(this.duree, callback_temp);
		}
		this.fondu_in = function() {
			this.$conteneur.fadeOut(this.duree);
		}
		
		
		return (this);	
	}

	function DIALOGUE() { // sequence de textes puis changement éventuel de scène
		
		this.liste_textes = [];
		this.pointeur_liste_textes = 0;
		var self = this;
		this.set = function(numero_scene_destination, numero_texte_debut, numero_texte_fin) {
			if (numero_texte_fin === undefined) { // un seul texte si le troisième paramètre n'est pas indiqué
				numero_texte_fin = numero_texte_debut;
			}
			
			var texte_temp = "";
			this.liste_textes = [];
			this.pointeur_liste_textes = 0;
			self.numero_scene_destination = numero_scene_destination;
			for (var numero_texte_temp = numero_texte_debut; numero_texte_temp <= numero_texte_fin; numero_texte_temp++) {
				texte_temp = scenario_obj.get_texte(numero_texte_temp);
				this.liste_textes.push(texte_temp); // ajoute le texte dans une liste
			} // fin for
			
			
			if (self.numero_scene_destination === 0) {
				texte_obj.set(this.liste_textes);
			} else {
				texte_obj.set(this.liste_textes, function () {
					NOUVELLE_SCENE("s" + self.numero_scene_destination);
			})
			}

		}; // fin set
		
		
		
		return (this);
	} // fin dialogue
	
	
	
	// ——————————————————————————————————	
	function INIT_CONTROLEUR_MEDIATOR() { // gestion des abonnements Mediator
		// Clic sur une zone interactive
		mediator.subscribe("clic_zone", function(scene_destination, numero_texte, indicateur_deja_vu) {
			
			// Si passage simple d'une scène à l'autre, sans texte préalable
			
			if (scene_destination !== 0 && numero_texte === 0) {
				NOUVELLE_SCENE(scene_destination);
				return;
			}
			
			// Si affichage d'un texte simple, sans changement de scène
			
			if (scene_destination === 0 && numero_texte !== 0) {
				var contenu_texte_temp = scenario_obj.get_texte(numero_texte);
				texte_obj.set(contenu_texte_temp);
				texte_obj.show();
				return;
			}
			
			// Si affichage d'un texte puis changement de scène
			
			if (scene_destination !== 0 && numero_texte !==0) {
				var contenu_texte_temp = scenario_obj.get_texte(numero_texte);
				texte_obj.set(contenu_texte_temp, function() {	
					NOUVELLE_SCENE (scene_destination);
					});
				texte_obj.show();
				return;
			}
		});


	} // fin init_controleur_mediator
	
	// —————————————————————————————————— fin des fonctions
	
	// Initialisation des objets et lancement
	var scenario_obj = new SCENARIO(); // données fixes du scénario (textes, chemins de images, etc.)
	var parcours_obj = new PARCOURS(); // gestion des indicateurs de textes déjà vus et des variables de parcours
	var texte_obj = new TEXTE($('#texte'), 320, 200); // gestion de la zone du texte, indépendante du scénario
	var dialogue_obj = new DIALOGUE(); // gestion de l'affichage de textes successifs
	// Création de l'objet des zones cliquables, avec indications des tags, de la résolution d'origine et des curseurs personnalisés
	var zones_obj = new ZONES(
		["zone1", "zone2", "zone3", "zone4", "zone5", "zone6", "zone7", "zone8", "zone9", "zone10", "zone11", "zone12", "zone13", "zone14", "zone15", "zone16", "zone17", "zone18", "zone19", "zone20"],
		320, 200,
		"url('rsc/curseurs/129.cur') 2 2, help", "url('rsc/curseurs/154.cur') 8 8, pointer"
	);
	// Création des chemins de chaque illustration et injection dans l'objet du scénario
	scenario_obj.chemin_illustration = {};
	scenario_obj.liste_images_obj = {};
	for (var scene_temp of scenario_obj.liste_scenes) {
		scenario_obj.chemin_illustration[scene_temp] = "rsc/png/" + scene_temp + ".png";
		scenario_obj.liste_images_obj[scene_temp] = new Image();
		scenario_obj.liste_images_obj[scene_temp].src = scenario_obj.chemin_illustration[scene_temp]; // préchargement
	}
	

	var illustration_obj = new ILLUSTRATION($("#illustration"));
	var son_obj = new SON(scenario_obj.liste_sons, "rsc/mp3/", "mp3");
	var attente_obj = new ATTENTE($('#cache_attente'));
	
	if (scenario_obj.mode_debug === true) {
			var fondu_obj = new FONDU($('#cache_fondu'), 0);
	} else 		
		{
			var fondu_obj = new FONDU($('#cache_fondu'), "slow");
	}
	
	
	var curseur_obj = new CURSEUR(scenario_obj.liste_donnees_curseurs);
	
	$("#bouton_arriere").on("click", function() {
		parcours_obj.retour();
		var scene_temp = parcours_obj.get_scene_actuelle();
		NOUVELLE_SCENE(scene_temp, false); // changement de scène sans mémorisation de l'historique
	});
	$("#bouton_raz").on("click", function() {// retour au début et remise à zéro	
		if (confirm('Effacer le parcours et revenir au début?')) {
			parcours_obj.raz();
			DEBUT();
		}
	});
	
	INIT_CONTROLEUR_MEDIATOR();
	DEBUT(); // on commence par le début!
	
	
	
} // fin amandine